## grails.validation
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      grails.validation.ValidationException

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable

    public class ValidationException

extends GrailsException
implements groovy.lang.GroovyObject

See Also:
  Serialized Form

Constructor Summary
`ValidationException(String msg, Errors e)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static String` `formatErrors(Errors errors)`
`static String` `formatErrors(Errors errors, String msg)`
`Errors` `getErrors()`
`String` `getFullMessage()`
`String` `getMessage()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setErrors(Errors value)`
`void` `setFullMessage(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(String msg,
                               Errors e)

Method Detail

### getErrors

    public Errors getErrors()

### setErrors

    public void setErrors(Errors value)

### getFullMessage

    public String getFullMessage()

### setFullMessage

    public void setFullMessage(String value)

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### formatErrors

    public static String formatErrors(Errors errors,
                                      String msg)

### formatErrors

    public static String formatErrors(Errors errors)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project